import { DepGraph } from '@snyk/dep-graph';
import { DepsFilePaths, Issue, IssuesData, Options, ScanResult, TestResult } from '../types';
export declare function displaySignatures(scanResults: ScanResult[]): string[];
export declare function selectDisplayStrategy(options: Options | undefined, depGraph: DepGraph, testResult: TestResult): string[][];
export declare function displayDependencies(depGraph: DepGraph): string[];
export declare function displayDependenciesWithFilePaths(depGraph: DepGraph, depsFilePaths?: DepsFilePaths): string[];
export declare function displayIssues(depGraph: DepGraph, issues: Issue[], issuesData: IssuesData): string[];
export declare function displayErrors(errors: string[]): string[];
